Bidding Stats
GET
bidding-stats/{bidderCompanyId}
Retrieves bidding statistics for a specific bidder company.
Note that this is updated only once per 24 hour period and is not meant to be used for real time reporting.
Resource Information
| Method and URI | GET https://developer.api.autodesk.com/construction/buildingconnected/v2/bidding-stats/{bidderCompanyId} |
| Authentication Context | User context required |
| Required OAuth Scopes | data:read |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow. |
* Required
Request
URI Parameters
| bidderCompanyId string | The ID of a BuildingConnected company. |
Response
HTTP Status Code Summary
| 200 OK | OK |
| 400 Bad Request | The parameters of the requested operation are invalid. |
| 401 Unauthorized | The provided bearer token is not valid. |
| 403 Forbidden | The user or service represented by the bearer token does not have permission to perform this operation. |
| 404 Not Found | The requested resource could not be found. |
| 429 Too Many Requests | Rate limit exceeded; wait some time before retrying. The ‘Retry-After’ header might provide the amount of the time to wait. |
| 500 Internal Server Error | An unknown error occurred on the server. |
Response
Body Structure (200)
| bidderCompanyId string | The unique ID of the bidder company for which the bidding statistics are requested.
Max length: 24 |
| undecidedCount number | The number of bids without a finalized bidding decision. |
| notBiddingCount number | The number of bids that the bidder company is not planning to bid. |
| biddingCount number | The number of bids that the bidder company plans to bid. |
| bidCount number | The number of bids that were sent (excluding won and lost). |
| wonCount number | The number of bids that were awarded. |
| lostCount number | The number of bids that were not awarded. |
Example
OK
Request
curl -v 'https://developer.api.autodesk.com/construction/buildingconnected/v2/bidding-stats/:bidderCompanyId' \
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
Response
{
"bidderCompanyId": "590dd127b359f408f190b5a7",
"undecidedCount": 5,
"notBiddingCount": 10,
"biddingCount": 5,
"bidCount": 3,
"wonCount": 3,
"lostCount": 3
}
Show More